
From: Mathieu Segaud <Mathieu.Segaud@crans.org>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiser4/plugin/item/ctail.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/reiser4/plugin/item/ctail.c~reiser4-build-fix fs/reiser4/plugin/item/ctail.c
--- 25/fs/reiser4/plugin/item/ctail.c~reiser4-build-fix	2005-03-16 21:42:57.000000000 -0800
+++ 25-akpm/fs/reiser4/plugin/item/ctail.c	2005-03-16 21:42:57.000000000 -0800
@@ -247,7 +247,7 @@ ctail_ok (const coord_t *coord)
 reiser4_internal int
 check_ctail (const coord_t * coord, const char **error)
 {
-	if (!ctail_ok) {
+	if (!ctail_ok(coord)) {
 		if (error)
 			*error = "bad cluster shift in ctail";
 		return 1;
@@ -1668,7 +1668,7 @@ convert_ctail(flush_pos_t * pos)
 		detach_convert_idata(pos->sq);
 		break;
 	case CRC_OVERWRITE_ITEM:
-		if (coord_is_unprepped_ctail) {
+		if (coord_is_unprepped_ctail(&pos->coord)) {
 			/* convert unpprepped ctail to prepped one */
 			int shift;
 			shift = inode_cluster_shift(item_convert_data(pos)->inode);
_
